- Qt 6.6
- Qt TextToSpeech
- QML Types
- voice
- Qt 6.6.2 Reference Documentation

# voice QML Type

The voice type represents a particular voice. More...

Import Statement: | import QtTextToSpeech

- List of all members, including inherited members

## Properties

- gender : enumeration
- language : enumerator
- locale : locale

## Detailed Description

To get a voice that is supported by the current text-to-speech engine, use TextToSpeech::availableVoices().

## Property Documentation

gender : enumeration

This property holds the gender of the voice.

See also QVoice::Gender.

[since 6.6] language : enumerator

This property holds the language of the voice.

This is the language attribute of the voice's locale.

This property was introduced in Qt 6.6.

locale : locale

This property holds the locale of the voice.

The locale includes the language and the territory (i.e. accent or dialect) of the voice.

language